Package org.apache.solr.client.solrj.io

## Class ClassificationEvaluation

- java.lang.Object
- - org.apache.solr.client.solrj.io.ClassificationEvaluation

    public class ClassificationEvaluation
    extends Object

### Constructor Summary

Constructors
`ClassificationEvaluation()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `addEvaluation​(Map<String,​?> map)`
`void` `count​(int actual, int predicted)`
`static ClassificationEvaluation` `create​(Map<String,​?> map)`
`double` `getAccuracy()`
`double` `getF1()`
`double` `getPrecision()`
`double` `getRecall()`
`void` `putToMap​(Map<? super String,​? super Long> map)`
`Map<String,​Long>` `toMap()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClassificationEvaluation

    public ClassificationEvaluation()

### Method Detail

#### count

    public void count​(int actual,
                      int predicted)

#### putToMap

    public void putToMap​(Map<? super String,​? super Long> map)

#### toMap

    public Map<String,​Long> toMap()

#### create

    public static ClassificationEvaluation create​(Map<String,​?> map)

#### addEvaluation

    public void addEvaluation​(Map<String,​?> map)

#### getPrecision

    public double getPrecision()

#### getRecall

    public double getRecall()

#### getF1

    public double getF1()

#### getAccuracy

    public double getAccuracy()